document.addEventListener('DOMContentLoaded', () => {
    const form = document.getElementById('application-form');
    const legalBusinessName = document.getElementById('legalBusinessName');
    const dba = document.getElementById('dba');
    const businessAddress = document.getElementById('businessAddress');
    const ssn = document.getElementById('ssn');
    const physicalAddress = document.getElementById('physicalAddress');
    const state = document.getElementById('state');
    const businessPhone = document.getElementById('businessPhone');
    const businessEmail = document.getElementById('businessEmail');
    const website = document.getElementById('website');
    const taxId = document.getElementById('taxId');
    const dateStarted = document.getElementById('dateStarted');
    const ownershipLength = document.getElementById('ownershipLength');
    const entityType = document.getElementById('entityType');
    const state2 = document.getElementById('state2');
    const industry = document.getElementById('industry');
    const detailedActivity = document.getElementById('detailedActivity');
    const firstName = document.getElementById('firstName');
    const lastName = document.getElementById('lastName');
    const title = document.getElementById('title');
    const ownership = document.getElementById('ownership');
    const email = document.getElementById('email');
    const homePhone = document.getElementById('homePhone');
    const cellPhone = document.getElementById('cellPhone');
    const homeAddress = document.getElementById('homeAddress');
    const streetAddress = document.getElementById('streetAddress');
    const state1 = document.getElementById('state1');
    let rent;
    document.querySelectorAll('input[name="property_info"]').forEach((radio) => {
        radio.addEventListener('change', () => {
            const selectedRadio = document.querySelector('input[name="property_info"]:checked');
            rent = selectedRadio;
            console.log(selectedRadio.value); // This will log the selected value whenever the user changes the selection
        });
    });

    let judgements;
    document.querySelectorAll('input[name="open_judgements"]').forEach((radio) => {
        radio.addEventListener('change', () => {
            const judgementsRadio = document.querySelector('input[name="open_judgements"]:checked');
            judgements = judgementsRadio;
            console.log(judgementsRadio.value); // This will log the selected value whenever the user changes the selection
        });
    });

    let bankruptcies;
    document.querySelectorAll('input[name="bankruptcies"]').forEach((radio) => {
        radio.addEventListener('change', () => {
            const bankruptciesRadio = document.querySelector('input[name="bankruptcies"]:checked');
            bankruptcies = bankruptciesRadio;
            console.log(bankruptciesRadio.value); // This will log the selected value whenever the user changes the selection
        });
    });

    let taxLiens;
    document.querySelectorAll('input[name="tax_liens"]').forEach((radio) => {
        radio.addEventListener('change', () => {
            const taxLiensRadio = document.querySelector('input[name="tax_liens"]:checked');
            taxLiens = taxLiensRadio;
            console.log(taxLiensRadio.value); // This will log the selected value whenever the user changes the selection
        });
    });

    let seasonal;
    document.querySelectorAll('input[name="seasonal_business"]').forEach((radio) => {
        radio.addEventListener('change', () => {
            const seasonalRadio = document.querySelector('input[name="seasonal_business"]:checked');
            seasonal = seasonalRadio;
            console.log(seasonalRadio.value); // This will log the selected value whenever the user changes the selection
        });
    });

    let creditCards;
    document.querySelectorAll('input[name="credit_cards"]').forEach((radio) => {
        radio.addEventListener('change', () => {
            const creditCardsRadio = document.querySelector('input[name="credit_cards"]:checked');
            creditCards = creditCardsRadio;
            console.log(creditCardsRadio.value); // This will log the selected value whenever the user changes the selection
        });
    });

    const grossSales = document.getElementById('grossSales');
    const fundingAmount = document.getElementById('fundingAmount');
    const fundUsage = document.getElementById('fundUsage');

    let loans;
    document.querySelectorAll('input[name="current_loans"]').forEach((radio) => {
        radio.addEventListener('change', () => {
            const loansRadio = document.querySelector('input[name="current_loans"]:checked');
            loans = loansRadio;
            console.log(loansRadio.value); // This will log the selected value whenever the user changes the selection
        });
    });

    const hear_about = document.getElementById('hear_about');
    const dateProperty = document.getElementById('dateProperty');


    // Setup for signature pad 1
    const canvas1 = document.getElementById('signature-pad1');
    const ctx1 = canvas1.getContext('2d');
    const clearButton1 = document.getElementById('clear-button1');
    const signatureDataInput1 = document.getElementById('signature-data1');

    // Setup for signature pad 2
    const canvas2 = document.getElementById('signature-pad2');
    const ctx2 = canvas2.getContext('2d');
    const clearButton2 = document.getElementById('clear-button2');
    const signatureDataInput2 = document.getElementById('signature-data2');

    function setupSignaturePad(canvas, ctx, clearButton, signatureDataInput) {
        let isDrawing = false;
        let lastX = 0;
        let lastY = 0;

        function startDrawing(e) {
            isDrawing = true;
            e.preventDefault();
            const rect = canvas.getBoundingClientRect();
            lastX = (e.touches ? e.touches[0].clientX : e.clientX) - rect.left;
            lastY = (e.touches ? e.touches[0].clientY : e.clientY) - rect.top;
        }

        function stopDrawing() {
            isDrawing = false;
            ctx.beginPath();
        }

        function draw(e) {
            if (!isDrawing) return;
            e.preventDefault();
            const rect = canvas.getBoundingClientRect();
            const currentX = (e.touches ? e.touches[0].clientX : e.clientX) - rect.left;
            const currentY = (e.touches ? e.touches[0].clientY : e.clientY) - rect.top;

            ctx.beginPath();
            ctx.moveTo(lastX, lastY);
            ctx.lineTo(currentX, currentY);
            ctx.strokeStyle = 'black';
            ctx.lineWidth = 2;
            ctx.stroke();
            ctx.closePath();

            lastX = currentX;
            lastY = currentY;
        }

        clearButton.addEventListener('click', () => {
            ctx.clearRect(0, 0, canvas.width, canvas.height);
            signatureDataInput.value = '';
        });

        canvas.addEventListener('mousedown', startDrawing);
        canvas.addEventListener('mouseup', stopDrawing);
        canvas.addEventListener('mouseout', stopDrawing);
        canvas.addEventListener('mousemove', draw);

        canvas.addEventListener('touchstart', startDrawing);
        canvas.addEventListener('touchend', stopDrawing);
        canvas.addEventListener('touchcancel', stopDrawing);
        canvas.addEventListener('touchmove', draw);
    }

    setupSignaturePad(canvas1, ctx1, clearButton1, signatureDataInput1);
    setupSignaturePad(canvas2, ctx2, clearButton2, signatureDataInput2);

    form.addEventListener('submit', (event) => {
        event.preventDefault();

        if (rent) {
            console.log("rent", rent.value)
        }


        const formData = new FormData(form);
        formData.append('signature_data1', canvas1.toDataURL());
        formData.append('signature_data2', canvas2.toDataURL());
        formData.append('legalBusinessName', legalBusinessName.value);
        formData.append('dba', dba.value);
        formData.append('businessAddress', businessAddress.value);
        formData.append('ssn', ssn.value);
        formData.append('physicalAddress', physicalAddress.value);
        formData.append('state', state.value);
        formData.append('businessPhone', businessPhone.value);
        formData.append('businessEmail', businessEmail.value);
        formData.append('website', website.value);
        formData.append('taxId', taxId.value);
        formData.append('dateStarted', dateStarted.value);
        formData.append('ownershipLength', ownershipLength.value);
        formData.append('entityType', entityType.value);
        formData.append('state2', state2.value);
        formData.append('industry', industry.value);
        formData.append('detailedActivity', detailedActivity.value);
        formData.append('firstName', firstName.value);
        formData.append('lastName', lastName.value);
        formData.append('title', title.value);
        formData.append('ownership', ownership.value);
        formData.append('email', email.value);
        formData.append('homePhone', homePhone.value);
        formData.append('cellPhone', cellPhone.value);
        formData.append('homeAddress', homeAddress.value);
        formData.append('streetAddress', streetAddress.value);
        formData.append('state1', state1.value);
        rent && formData.append('rent', rent.value);
        judgements && formData.append('judgements', judgements.value);
        bankruptcies && formData.append('bankruptcies', bankruptcies.value);
        taxLiens && formData.append('taxLiens', taxLiens.value);
        seasonal && formData.append('seasonal', seasonal.value);
        creditCards && formData.append('creditCards', creditCards.value);
        formData.append('grossSales', grossSales.value);
        formData.append('fundingAmount', fundingAmount.value);
        formData.append('fundUsage', fundUsage.value);
        formData.append('hear_about', hear_about.value);
        formData.append('dateProperty', dateProperty.value);
        loans && formData.append('loans', loans.value);


        fetch('final_emails/email/mail.php', { // Replace with your URL
            method: 'POST',
            body: formData
        })
            .then(response => {
                if (!response.ok) {
                    throw new Error(`HTTP error! status: ${response.status}`);
                }
                return response.json();
            })
            .then(data => {
                console.log('Success:', data);
                Swal.fire({
                    title: 'Success!',
                    text: 'Your Application has been submitted successfully.',
                    icon: 'success',
                    confirmButtonText: 'Okay'
                  });
                form.reset();
                ctx1.clearRect(0, 0, canvas1.width, canvas1.height);
                ctx2.clearRect(0, 0, canvas2.width, canvas2.height);
            })
            .catch((error) => {
                console.error('Error:', error);
                Swal.fire({
                    title: 'Error!',
                    text: 'Error while submitting Form.',
                    icon: 'Error',
                    confirmButtonText: 'Okay'
                  });
            });
    });
});
