<?php
// mail.php (PHP code for sending the email)
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Collect all form data
    $formData = [
        'Legal_business_name' => $_POST['legalBusinessName'] ?? '',
        'DBA' => $_POST['dba'] ?? '',
        'Business_Address' => $_POST['businessAddress'] ?? '',
        'SSN' => $_POST['ssn'] ?? '',
        'Physical_Address' => $_POST['physicalAddress'] ?? '',
        'State' => $_POST['state'] ?? '',
        'Business_phone_number' => $_POST['businessPhone'] ?? '',
        'Business_Email' => $_POST['businessEmail'] ?? '',
        'Website' => $_POST['website'] ?? '',
        'Federal_Tax_ID' => $_POST['taxId'] ?? '',
        'Date_Business_Started' => $_POST['dateStarted'] ?? '',
        'Length_of_Ownership' => $_POST['ownershipLength'] ?? '',
        'Type_of_Entity' => $_POST['entityType'] ?? '',
        'State' => $_POST['state2'] ?? '',
        'Industry' => $_POST['industry'] ?? '',
        'Detailed_Business_Activity' => $_POST['detailedActivity'] ?? '',
        'Corporate_Officer/Owner_First_Name' => $_POST['firstName'] ?? '',
        'Last_name' => $_POST['lastName'] ?? '',
        'Title' => $_POST['title'] ?? '',
        'Ownership_Percentage' => $_POST['ownership'] ?? '',
        'Email' => $_POST['email'] ?? '',
        'Home_Phone' => $_POST['homePhone'] ?? '',
        'Cell_Phone' => $_POST['cellPhone'] ?? '',
        'Home_Address' => $_POST['homeAddress'] ?? '',
        'Street_Address' => $_POST['streetAddress'] ?? '',
        'State' => $_POST['state1'] ?? '',
        'Property_Information_Do_you?' => $_POST['rent'] ?? '',
        'Any_Open_Judgements?' => $_POST['judgements'] ?? '',
        'Any_Bankruptcies?' => $_POST['bankruptcies'] ?? '',
        'Any_Tax_Liens?' => $_POST['taxLiens'] ?? '',
        'Is_Business_Seasonal?' => $_POST['seasonal'] ?? '',
        'Do_you_accept_Credit_Cards?' => $_POST['credit_cards'] ?? '',
        'Average_Monthly_Gross_Sales_Volume' => $_POST['grossSales'] ?? '',
        'Requested_Funding_Amount' => $_POST['fundingAmount'] ?? '',
        'What_will_funds_be_used_for?' => $_POST['fundUsage'] ?? '',
        'Are_you_currently_paying_off_any_loans_or_advances?' => $_POST['loans'] ?? '',
        'How_did_you_hear_about_us?' => $_POST['hear_about'] ?? '',
        'Date' => $_POST['dateProperty'] ?? '',
        'signature_data1' => $_POST['signature_data1'] ?? '',
        'signature_data2' => $_POST['signature_data2'] ?? ''
    ];

    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host = 'smtp.gmail.com';
        $mail->SMTPAuth = true;
        $mail->Username = 'singlesolution.email.sender@gmail.com';
        $mail->Password = 'ikimuqjgqewxayzf';
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port = 465;

        // Recipients
        $mail->setFrom('singlesolution.email.sender@gmail.com', 'Broad Funding Group');
        $mail->addAddress('info@broadfundinggroup.com', 'Broad Funding Group');

        // Process and attach signatures
        $inline_images = [];
        foreach (['signature_data1', 'signature_data2'] as $key => $signatureKey) {
            if (!empty($formData[$signatureKey])) {
                $base64Signature = str_replace('data:image/png;base64,', '', $formData[$signatureKey]);
                $binarySignature = base64_decode($base64Signature);
                $signatureFile = tempnam(sys_get_temp_dir(), "signature$key") . '.png';
                file_put_contents($signatureFile, $binarySignature);
                $mail->addEmbeddedImage($signatureFile, "signature_image$key");
                $inline_images[] = "signature_image$key";
            }
        }

        // Email content
        $mail->isHTML(true);
        $mail->Subject = 'Application Submission';
        $body = '<html><body>';
        $body .= '<h1>New Application</h1>';

        // Business Information Table
        $body .= '<h2>Business Information</h2>';
        $body .= '<table border="1" cellpadding="5" cellspacing="0">';
        foreach ([
            'Legal_business_name', 'DBA', 'Business_Address', 'SSN', 'Physical_Address', 'State', 'Business_phone_number', 'Business_Email', 
            'Website', 'Federal_Tax_ID', 'Date_Business_Started', 'Length_of_Ownership', 'Type_of_Entity', 'State', 'Industry', 'Detailed_Business_Activity'
        ] as $key) {
            $body .= "<tr><td><strong>" . ucfirst(str_replace('_', ' ', $key)) . ":</strong></td><td>{$formData[$key]}</td></tr>";
        }
        $body .= '</table>';

        // Business Property Information Table
        $body .= '<h2>Business Property Information</h2>';
        $body .= '<table border="1" cellpadding="5" cellspacing="0">';
        foreach ([
            'Corporate_Officer/Owner_First_Name', 'Last_name', 'Title', 'Ownership_Percentage', 'Email', 'Home_Phone', 'Cell_Phone', 'Home_Address', 'Street_Address', 
            'State', 'Property_Information_Do_you?', 'Any_Open_Judgements?', 'Any_Bankruptcies?', 'Any_Tax_Liens?', 
            'Is_Business_Seasonal?', 'Do_you_accept_Credit_Cards?','Average_Monthly_Gross_Sales_Volume','Requested_Funding_Amount', 'What_will_funds_be_used_for?', 'Are_you_currently_paying_off_any_loans_or_advances?',
            'How_did_you_hear_about_us?', 'Date'   
        ] as $key) {
            $body .= "<tr><td><strong>" . ucfirst(str_replace('_', ' ', $key)) . ":</strong></td><td>{$formData[$key]}</td></tr>";
        }
        $body .= '</table>';

        foreach ($inline_images as $index => $image) {
            $signatureHeading = $index === 0 ? 'Candidate Signature 1' : 'Candidate Signature 2';
            $body .= "<h3>{$signatureHeading}</h3>";
            $body .= "<p><img src=\"cid:{$image}\" alt=\"Signature\" style=\"max-width:300px;\"/></p>";
        }

        $body .= '</body></html>';
        $mail->Body = $body;
        $mail->AltBody = 'Please view the email in an HTML-compatible client.';

        $mail->send();

        http_response_code(200);
        echo json_encode(['status' => 'success', 'message' => 'Form submitted successfully!']);
    } catch (Exception $e) {
        http_response_code(500);
        echo json_encode(['status' => 'error', 'message' => "Message could not be sent. Mailer Error: {$mail->ErrorInfo}"]);
    }
} else {
    http_response_code(405);
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method.']);
}
