<!DOCTYPE html>
<html lang="zxx">

<head>
    <!-- Meta Tags -->
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Essential CSS Files -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.1/css/all.min.css" integrity="sha512-5Hs3dF2AEPkpNAR7UiOHba+lRSJNeM2ECkwxUIxC1Q/FLycGTbNapWXB4tP889k5T5Ju8fs4b1P5z/iB4nMfSQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="assets/css/swiper-bundle.min.css">
    <link rel="stylesheet" href="assets/css/flaticon_finto.css">
    <link rel="stylesheet" href="assets/css/scrollCue.css">
    <link rel="stylesheet" href="assets/css/remixicon.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/responsive.css">

    <!-- Title & Favicon -->
    <title>Broad Funding Group</title>
    <link rel="icon" type="image/png" href="assets/images/broad-funding-group-favicon.png">
</head>

<body>
    <!-- Start Preloader Area -->
    <div class="preloader-area text-center position-fixed top-0 bottom-0 start-0 end-0" id="preloader">
        <div class="loader position-absolute start-0 end-0">
            <div class="wavy position-relative fw-light">
                <span class="d-inline-block"><img src="assets/images/broad-funding-group-favicon.png" alt="favicon"></span>
                <span class="d-inline-block">F</span>
                <span class="d-inline-block">U</span>
                <span class="d-inline-block">N</span>
                <span class="d-inline-block">D</span>
                <span class="d-inline-block">I</span>
                <span class="d-inline-block">N</span>
                <span class="d-inline-block">G</span>
            </div>
        </div>
    </div>
    <!-- End Preloader Area -->

    <div class="top-header-info">
        <!-- Start Navbar Area -->
        <nav class="navbar main-navbar navbar-expand-lg bg-color-001F34" id="navbar">
            <div class="container-fluid side-padding position-relative">
                <a class="navbar-brand logo-brand p-0" href="index.php">
                    <img src="assets/images/broad-funding-group-logo.png" class="img-fluid" alt="image" style="max-height: 80px;">
                </a>
                <a class="navbar-toggler" data-bs-toggle="offcanvas" href="#navbarOffcanvas" role="button"
                    aria-controls="navbarOffcanvas">
                    <span class="burger-menu">
                        <span class="top-bar"></span>
                        <span class="middle-bar"></span>
                        <span class="bottom-bar"></span>
                    </span>
                </a>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav mx-auto">
                        <li class="nav-item dropdown">
                            <a id="nav_home" class="nav-link nav_link" href="index.php">
                                Home
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a id="nav_about" class="nav-link nav_link" href="about.php">
                                About Us
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a id="nav_services" href="index.php#services" class="nav-link nav_link">
                                Services
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a id="nav_work" href="index.php#how-it-works" class="nav-link nav_link">
                                How It Works
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a id="nav_leadership" class="nav-link nav_link" href="leadership-team.php">
                                Leadership Team
                            </a>
                        </li>

                        <!-- <li class="nav-item dropdown">
                            <a class="nav-link" href="contact.php">
                                Contact
                            </a>
                        </li> -->
                    </ul>
                </div>

                <div class="others-options">
                    <ul class="d-flex align-items-center ps-0 mb-0 list-unstyled">
                        <li>
                            <a href="contact.php" class="default-btn">Contact Us <i class="ri-arrow-right-up-line"></i></a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- End Navbar Area -->
    </div>

    <!-- Start Mobile Navbar Area -->
    <div class="mobile-navbar offcanvas offcanvas-end border-0" data-bs-backdrop="static" tabindex="-1" id="navbarOffcanvas">
        <div class="offcanvas-header">
            <a href="index.html" class="logo d-inline-block">
                <img src="assets/images/broad-funding-group-logo.png" alt="logo">
            </a>

            <button type="button" class="close-btn bg-transparent position-relative lh-1 p-0 border-0" data-bs-dismiss="offcanvas" aria-label="close">
                <i class="ri-close-fill"></i>
            </button>
        </div>

        <div class="offcanvas-body">
            <ul class="mobile-menu">
                <li class="mobile-menu-list without-icon">
                    <a id="nav_home_mob" href="index.php" class="nav-link nav_link">
                        Home
                    </a>
                </li>

                <li class="mobile-menu-list without-icon">
                    <a id="nav_about_mob" href="about.php" class="nav-link nav_link">
                        About Us
                    </a>
                </li>

                <li class="mobile-menu-list without-icon">
                    <a id="nav_services_mob" href="index.php#services" class="nav-link nav_link">
                        Services
                    </a>
                </li>

                <li class="mobile-menu-list without-icon">
                    <a id="nav_works_mob" href="index.php#how-it-works" class="nav-link nav_link">
                        How It Works
                    </a>
                </li>

                <li class="mobile-menu-list without-icon">
                    <a id="nav_leadership_mob" href="leadership-team.php" class="nav-link nav_link">
                        Leadership Team
                    </a>
                </li>

                <li class="mobile-menu-list without-icon">
                    <a id="nav_contact_mob" href="contact.php" class="nav-link nav_link">
                        Contact Us
                    </a>
                </li>
            </ul>
        </div>
    </div>
    <!-- End Mobile Navbar Area -->

    <!-- Search Modal -->
    <div class="search-modal modal fade" id="exampleModal" tabindex="-1"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header position-relative">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"> </button>
                </div>
                <div class="modal-body">
                    <form class="popup-form">
                        <input type="text" class="form-control" placeholder="Search here">
                        <button type="submit" class="popup-btn">
                            <i class="ri-search-line"></i>
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- Search Modal End -->